package iic1103Package;

/**
 * Funciones para generar numeros aleatorios.
 * 
 */
public abstract class Aleatorio
{
	/**
	 * Genera un numero aleatoreo real en el rango [<code>A</code>,<code>B</code>], 
	 * uniformemente distribu&iacute;do
	 * @param A El l&iacute;mite inferior
	 * @param B El l&iacute;mite superior
	 * @return Un n&uacute;mero aleatorio uniformemente distribu&iacute;do
	 * entre <code>A</code> y <code>B</code>
	 */
	public static double real(double A, double B)
	{
		return Math.random()*(B-A)+A;
	}
	
	/**
	 * Genera un numero aleatoreo entero en el rango [<code>A</code>,<code>B</code>], 
	 * uniformemente distribu&iacute;do
	 * @param A El l&iacute;mite inferior
	 * @param B El l&iacute;mite superior
	 * @return Un n&uacute;mero aleatorio uniformemente distribu&iacute;do
	 * entre <code>A</code> y <code>B</code>
	 */
	public static int entero(int A, int B)
	{
		return (int)(Math.random()*(B-A+1)+A);
	}
}
