package iic1103Package;

import javax.swing.JOptionPane;

/**
 * Mtodos que permiten interactuar con el usuario
 * @author Matias Recabarren, Alex Bustos
 */
public class Usuario
{	
	/**
	 * Obtiene un entero desde el usuario mediante una interfaz grafica
	 * @param mensaje Mensaje a desplegar en el cuerpo de la ventana
	 * @return Entero obtenido desde el usuario
	 */
    public static int entero(String mensaje)
    {
        return entero(mensaje, "Ingrese un numero entero");
    }

	/**
	 * Obtiene un entero desde el usuario mediante una interfaz grafica
	 * @param mensaje Mensaje a desplegar en el cuerpo de la ventana
	 * @param entradaPorDefecto Mensaje a desplegar en el espacio donde se ingresa el dato
	 * @return Entero obtenido desde el usuario
	 */
    public static int entero(String mensaje, String entradaPorDefecto)
    {
        int entero;

        try
        {
           entero = (Integer.parseInt(JOptionPane.showInputDialog(null, mensaje, entradaPorDefecto)));
        }
        catch (Exception exception)
        {
            entero = -1;
            JOptionPane.showMessageDialog(null, "Error - Input", "Error grave al ingresar informacion",
            		JOptionPane.ERROR_MESSAGE);
        }

        return(entero);

    }
    
	/**
	 * Obtiene un real desde el usuario mediante una interfaz grafica
	 * @param mensaje Mensaje a desplegar en el cuerpo de la ventana
	 * @return double obtenido desde el usuario
	 */
    public static double real(String mensaje)
    {
        return real(mensaje, "Ingrese un numero real");
    }

	/**
	 * Obtiene un real desde el usuario mediante una interfaz grafica
	 * @param mensaje Mensaje a desplegar en el cuerpo de la ventana
	 * @param entradaPorDefecto Mensaje a desplegar en el espacio donde se ingresa el dato
	 * @return double obtenido desde el usuario
	 */
    public static double real(String mensaje, String entradaPorDefecto)
    {
    	double entero;

    	try
    	{
    		entero = (Double.parseDouble(JOptionPane.showInputDialog(null, mensaje, entradaPorDefecto)));
    	}
    	catch (Exception exception)
    	{
    		entero = -1;
    		JOptionPane.showMessageDialog(null, "Error - Input", "Error grave al ingresar informacion", 
    				JOptionPane.ERROR_MESSAGE);
    	}

    	return(entero);
    }    
    
	/**
	 * Obtiene un texto desde el usuario mediante una interfaz grafica
	 * @param mensaje Mensaje a desplegar en el cuerpo de la ventana
	 * @return String obtenido desde el usuario
	 */
    public static String texto(String mensaje)
    {
        return texto(mensaje, "Ingrese un texto");
    }
    
    /**
	 * Obtiene un texto desde el usuario mediante una interfaz grafica
	 * @param mensaje Mensaje a desplegar en el cuerpo de la ventana
	 * @param entradaPorDefecto Mensaje a desplegar en el espacio donde se ingresa el dato
	 * @return String obtenido desde el usuario
	 */
    public static String texto(String mensaje,String entradaPorDefecto)
    {
    	String texto = "";

    	try
    	{
    		texto = JOptionPane.showInputDialog(null, mensaje, entradaPorDefecto);
    	}
    	catch (Exception exception)
    	{
    		JOptionPane.showMessageDialog(null, "Error - Input", "Error grave al ingresar informacion",
    				JOptionPane.ERROR_MESSAGE);
    	}

    	return(texto);
    }
    
    /**
     * Permite desplegar mensajes en la Consola
     * @param mensaje String a desplegar
     */	
    public static void mensaje(String mensaje)
    {
        JOptionPane.showMessageDialog(null,mensaje);
    }

    /**
     * Permite desplegar mensajes en la Consola
     * @param mensaje char a desplegar
     */	
    public static void mensaje(char mensaje)    
    {  	
    	mensaje(Character.toString(mensaje));
    }
    
    /**
     * Permite desplegar mensajes en la Consola
     * @param mensaje double a desplegar
     */	
    public static void mensaje(double mensaje)
    {
    	mensaje(String.valueOf(mensaje));
    }    
 
    /**
     * Permite desplegar mensajes en la Consola
     * @param mensaje int a desplegar
     */	
    public static void mensaje(int mensaje)
    {
    	mensaje(String.valueOf(mensaje));
    }
        
    /**
     * Despliega el dato en modo Consola
     * @param mensaje String a desplegar
     */
    public static void mensajeConsola(String mensaje)
    {
    	System.out.println(mensaje);
    }
    
    /**
     * Despliega el dato en modo Consola
     * @param mensaje char a desplegar
     */
    public static void mensajeConsola(char mensaje)
    {
    	System.out.println(mensaje);
    }

    /**
     * Despliega el dato en modo Consola
     * @param mensaje double a desplegar
     */
    public static void mensajeConsola(double mensaje)
    {
    	System.out.println(mensaje);
    }
       
    /**
     * Despliega el dato en modo Consola
     * @param mensaje int a desplegar
     */
    public static void mensajeConsola(int mensaje)
    {
    	System.out.println(mensaje);
    }   
}

